Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79240 - bad source code
Summary: bad source code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: reiserfs-utils
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John W. Linville
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-08 10:57 UTC by d.binderman
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-26 18:14:53 UTC


Attachments (Terms of Use)

Description d.binderman 2002-12-08 10:57:18 UTC
Description of Problem:

Hello there,

I just tried to compile package reiserfs-utils-3.6.2-2 from Redhat 8.0.

Here are some of the compiler messages.

mkreiserfs.c:523: warning: operation on `program_name' may be undefined
tune.c:217: warning: operation on `program_name' may be undefined

Here is a patch which fixes the messages.

*** ./mkreiserfs/mkreiserfs.c.old	2002-11-20 12:23:24.000000000 +0000
--- ./mkreiserfs/mkreiserfs.c	2002-11-20 12:23:46.000000000 +0000
***************
*** 520,526 ****
  
  
      program_name = strrchr( argv[ 0 ], '/' );
!     program_name = program_name ? ++ program_name : argv[ 0 ];
      
      print_banner (program_name);
  
--- 520,526 ----
  
  
      program_name = strrchr( argv[ 0 ], '/' );
!     program_name = program_name ? (program_name + 1) : argv[ 0 ];
      
      print_banner (program_name);
  
*** ./tune/tune.c.old	2002-11-20 12:24:07.000000000 +0000
--- ./tune/tune.c	2002-11-20 12:24:21.000000000 +0000
***************
*** 214,220 ****
      int Is_journal_or_maxtrans_size_specified = 0;
  
      program_name = strrchr( argv[ 0 ], '/' );
!     program_name = program_name ? ++ program_name : argv[ 0 ];
      
      print_banner (program_name);
  
--- 214,220 ----
      int Is_journal_or_maxtrans_size_specified = 0;
  
      program_name = strrchr( argv[ 0 ], '/' );
!     program_name = program_name ? (program_name + 1) : argv[ 0 ];
      
      print_banner (program_name);
  


Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:


Note You need to log in before you can comment on or make changes to this bug.